com.io7m.jregions.core.parameterized.areas

## Interface PAreaBIType<S>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the area
  All Superinterfaces:
    AreaSizeValuesBIType, AreaValuesBIType
  All Known Implementing Classes:
    PAreaBI

      public interface PAreaBIType<S>
      extends AreaValuesBIType

  An area with `BigInteger` coordinates.

  The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y axis.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `checkPreconditions()` Check the preconditions for the parameters.
    `BigInteger` | `maximumX()`
    `BigInteger` | `maximumY()`
    `BigInteger` | `minimumX()`
    `BigInteger` | `minimumY()`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.areas.AreaValuesBIType

      `height, width`

- - ### Method Detail

    - #### minimumX

          BigInteger minimumX()

      Specified by:
        `minimumX` in interface `AreaValuesBIType`
      Returns:
        The value on the X axis of the minimum edge of the box (inclusive)

    - #### maximumX

          BigInteger maximumX()

      Specified by:
        `maximumX` in interface `AreaValuesBIType`
      Returns:
        The value on the X axis of the maximum edge of the box (exclusive)

    - #### minimumY

          BigInteger minimumY()

      Specified by:
        `minimumY` in interface `AreaValuesBIType`
      Returns:
        The value on the Y axis of the minimum edge of the box (inclusive)

    - #### maximumY

          BigInteger maximumY()

      Specified by:
        `maximumY` in interface `AreaValuesBIType`
      Returns:
        The value on the Y axis of the maximum edge of the box (exclusive)

    - #### checkPreconditions

          default void checkPreconditions()

      Check the preconditions for the parameters.

Copyright © 2017 <code@io7m.com> http://io7m.com